/**
 * @description Prepare return response in workflow payload format
 * @param {Object} response 
 * @param {Object} payload
 * @param {Object} data
 */
const prepareResponsePayload = (response, payload) => {
    const _payload = payload;
    _payload.result = response.body;
    _payload.data = payload.data;
    _payload.data1 = payload.data1 || "";
    // Check for error then update data1 for exception
    if (response.statusCode === 500) {
        _payload.data1 = response.message;
    }
    return payload;
}

module.exports = {
    prepareResponsePayload
};