/**
 * @description Get error response
 * @private
 */
const getErrorResponse = (err, step) => {
    console.log('Error -', err);
    return {
        body: '0',
        message: `STEP EXECUTION FAILED AT - ${step}`,
        statusCode: 500
    };
};

/**
 * @description Get status of next report error handler
 * @param {ERROR} err 
 */
const getStatusErrorHandler = (err) => {
    return getErrorResponse(err, '[GET NEXT STATUS FOR REPORT]');
}


/**
 * @description Reconcile result error handler
 * @param {ERROR} err 
 */
const updateStatusForReport = (err) => {
    return getErrorResponse(err, '[UPDATE REPORT STATUS FAILED]');
}

/**
 * @description Reconcile result error handler
 * @param {ERROR} err 
 */
const insertPDFForReport = (err) => {
    return getErrorResponse(err, '[INSERT PDF REPORT FAILED]');
}

/**
 * @description Reconcile result error handler
 * @param {ERROR} err 
 */
const insertHistoryForReport = (err) => {
    return getErrorResponse(err, '[INSERT HISTORY REPORT FAILED]');
}

/**
 * @description Save payload for next step error handler
 * @param {ERROR} err 
 */
const savePayloadErrorHandler = (err) => {
    return getErrorResponse(err, '[SAVE PAYLOAD FOR NEXT STEP]');
}

/**
 * @description Get report data error handler
 * @param {ERROR} err 
 */
const getReportErrorHandler = (err) => {
    return getErrorResponse(err, '[GET REPORT DATA FAILED]');
}

module.exports = {
    getErrorResponse,
    getStatusErrorHandler,
    updateStatusForReport,
    insertPDFForReport,
    insertHistoryForReport,
    savePayloadErrorHandler,
    getReportErrorHandler
}