const { StepExecutionService } = require('./service');
const { QueryBuilder } = require('./common');
const config = require('../config');
const workflowHelper = require('@siemens-src/workflow-helper').getWorkflowHelperInstance(config);
const utilityService = require("@siemens-src/src-reporting-utility").getReportingUtilityService();

/**
 * @description Class plays important role in fetching different class instances
 */
class InstanceHandler {

    constructor() { }

    /**
     * @description Instantiate and return QueryBuilder instance
     */
    GetQueryBuilderInstance() {
        return new QueryBuilder();
    }

    /**
     * @description Instantiate and return StepExecution service instance
     */
    GetStepExecutionServiceInstance(payload) {
        return new StepExecutionService(payload, this.GetQueryBuilderInstance(), workflowHelper, utilityService);
    }
}

module.exports = InstanceHandler;